Module org.hsqldb
Package org.hsqldb.server

## Interface ServerConstants

- All Known Implementing Classes:
    `ServerConfiguration`

      public interface ServerConstants

  An enumeration of the property keys and default property values used by HSQLDB servers
  Since:
    1.7.2
  Author:
    Campbell Burnet (campbell-burnet@users dot sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SC_DEFAULT_ADDRESS` |
    `static int` | `SC_DEFAULT_BER_SERVER_PORT` |
    `static java.lang.String` | `SC_DEFAULT_DATABASE` |
    `static int` | `SC_DEFAULT_HSQL_SERVER_PORT` |
    `static int` | `SC_DEFAULT_HSQLS_SERVER_PORT` |
    `static int` | `SC_DEFAULT_HTTP_SERVER_PORT` |
    `static int` | `SC_DEFAULT_HTTPS_SERVER_PORT` |
    `static int` | `SC_DEFAULT_MAX_DATABASES` |
    `static boolean` | `SC_DEFAULT_NO_SYSTEM_EXIT` |
    `static boolean` | `SC_DEFAULT_REMOTE_OPEN_DB` |
    `static boolean` | `SC_DEFAULT_SERVER_AUTORESTART` |
    `static boolean` | `SC_DEFAULT_SILENT` |
    `static boolean` | `SC_DEFAULT_TLS` |
    `static boolean` | `SC_DEFAULT_TRACE` |
    `static java.lang.String` | `SC_DEFAULT_WEB_MIME` |
    `static java.lang.String` | `SC_DEFAULT_WEB_PAGE` |
    `static java.lang.String` | `SC_DEFAULT_WEB_ROOT` |
    `static int` | `SC_PROTOCOL_BER` |
    `static int` | `SC_PROTOCOL_HSQL` |
    `static int` | `SC_PROTOCOL_HTTP` |
    `static int` | `SERVER_STATE_CLOSING` |
    `static int` | `SERVER_STATE_ONLINE` |
    `static int` | `SERVER_STATE_OPENING` |
    `static int` | `SERVER_STATE_SHUTDOWN` |

- - ### Field Detail

    - #### SERVER_STATE_ONLINE

          static final int SERVER_STATE_ONLINE

      See Also:
        Constant Field Values

    - #### SERVER_STATE_OPENING

          static final int SERVER_STATE_OPENING

      See Also:
        Constant Field Values

    - #### SERVER_STATE_CLOSING

          static final int SERVER_STATE_CLOSING

      See Also:
        Constant Field Values

    - #### SERVER_STATE_SHUTDOWN

          static final int SERVER_STATE_SHUTDOWN

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_ADDRESS

          static final java.lang.String SC_DEFAULT_ADDRESS

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_DATABASE

          static final java.lang.String SC_DEFAULT_DATABASE

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_HSQL_SERVER_PORT

          static final int SC_DEFAULT_HSQL_SERVER_PORT

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_HSQLS_SERVER_PORT

          static final int SC_DEFAULT_HSQLS_SERVER_PORT

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_HTTP_SERVER_PORT

          static final int SC_DEFAULT_HTTP_SERVER_PORT

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_HTTPS_SERVER_PORT

          static final int SC_DEFAULT_HTTPS_SERVER_PORT

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_BER_SERVER_PORT

          static final int SC_DEFAULT_BER_SERVER_PORT

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_SERVER_AUTORESTART

          static final boolean SC_DEFAULT_SERVER_AUTORESTART

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_NO_SYSTEM_EXIT

          static final boolean SC_DEFAULT_NO_SYSTEM_EXIT

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_SILENT

          static final boolean SC_DEFAULT_SILENT

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_TLS

          static final boolean SC_DEFAULT_TLS

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_TRACE

          static final boolean SC_DEFAULT_TRACE

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_REMOTE_OPEN_DB

          static final boolean SC_DEFAULT_REMOTE_OPEN_DB

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_MAX_DATABASES

          static final int SC_DEFAULT_MAX_DATABASES

      See Also:
        Constant Field Values

    - #### SC_PROTOCOL_HTTP

          static final int SC_PROTOCOL_HTTP

      See Also:
        Constant Field Values

    - #### SC_PROTOCOL_HSQL

          static final int SC_PROTOCOL_HSQL

      See Also:
        Constant Field Values

    - #### SC_PROTOCOL_BER

          static final int SC_PROTOCOL_BER

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_WEB_MIME

          static final java.lang.String SC_DEFAULT_WEB_MIME

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_WEB_PAGE

          static final java.lang.String SC_DEFAULT_WEB_PAGE

      See Also:
        Constant Field Values

    - #### SC_DEFAULT_WEB_ROOT

          static final java.lang.String SC_DEFAULT_WEB_ROOT

      See Also:
        Constant Field Values